# HG changeset patch
# Node ID 43ec1c8fc513
# Parent  c24d77cbf268
diff --git a/gplugin/gplugin-loader.c b/gplugin/gplugin-loader.c
--- a/gplugin/gplugin-loader.c
+++ b/gplugin/gplugin-loader.c
@@ -146,7 +146,7 @@ gplugin_loader_init(G_GNUC_UNUSED GPlugi
 }
 
 static void
-gplugin_loader_class_init(G_GNUC_UNUSED GPluginLoaderClass *klass)
+gplugin_loader_class_init(GPluginLoaderClass *klass)
 {
 	GObjectClass *obj_class = G_OBJECT_CLASS(klass);
 
diff --git a/gplugin/gplugin-native-plugin.c b/gplugin/gplugin-native-plugin.c
--- a/gplugin/gplugin-native-plugin.c
+++ b/gplugin/gplugin-native-plugin.c
@@ -332,7 +332,7 @@ gplugin_native_plugin_class_init(GPlugin
 		"module",
 		"module handle",
 		"The GModule instance of the plugin",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginNativePlugin:load-func:
@@ -343,7 +343,7 @@ gplugin_native_plugin_class_init(GPlugin
 		"load-func",
 		"load function pointer",
 		"address pointer to load function",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginNativePlugin:unload-func:
@@ -354,7 +354,7 @@ gplugin_native_plugin_class_init(GPlugin
 		"unload-func",
 		"unload function pointer",
 		"address pointer to the unload function",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
diff --git a/gplugin/gplugin-plugin-info.c b/gplugin/gplugin-plugin-info.c
--- a/gplugin/gplugin-plugin-info.c
+++ b/gplugin/gplugin-plugin-info.c
@@ -584,7 +584,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"id",
 		"The ID of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:provides:
@@ -605,7 +605,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"provides",
 		"The additional ids that this plugin provides.",
 		G_TYPE_STRV,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:priority:
@@ -652,7 +652,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		0,
 		G_MAXUINT32,
 		0,
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:internal:
@@ -709,7 +709,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"name",
 		"The name of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:version:
@@ -721,7 +721,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"version",
 		"The version of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:license-id:
@@ -741,7 +741,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"license-id",
 		"The license id of the plugin according to SPDX",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:license-text:
@@ -754,7 +754,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"license text",
 		"The text of the license for the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:license-url:
@@ -767,7 +767,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"license url",
 		"The url to the license of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:icon-name:
@@ -780,7 +780,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"icon-name",
 		"The XDG icon name for the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:summary:
@@ -793,7 +793,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"summary",
 		"The summary of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:description:
@@ -806,7 +806,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"description",
 		"The description of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:category:
@@ -823,7 +823,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"category",
 		"The category of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:authors:
@@ -838,7 +838,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"authors",
 		"The authors of the plugin",
 		G_TYPE_STRV,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:website:
@@ -850,7 +850,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"website",
 		"The website of the plugin",
 		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:dependencies:
@@ -862,7 +862,7 @@ gplugin_plugin_info_class_init(GPluginPl
 		"dependencies",
 		"The dependencies of the plugin",
 		G_TYPE_STRV,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * GPluginPluginInfo:unloadable:
diff --git a/lua/gplugin-lua-plugin.c b/lua/gplugin-lua-plugin.c
--- a/lua/gplugin-lua-plugin.c
+++ b/lua/gplugin-lua-plugin.c
@@ -184,7 +184,7 @@ gplugin_lua_plugin_class_init(GPluginLua
 		"lua-state",
 		"lua-state",
 		"The lua state for the plugin",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
diff --git a/python3/gplugin-python3-plugin.c b/python3/gplugin-python3-plugin.c
--- a/python3/gplugin-python3-plugin.c
+++ b/python3/gplugin-python3-plugin.c
@@ -276,19 +276,19 @@ gplugin_python3_plugin_class_init(GPlugi
 		"module",
 		"module",
 		"The python module object",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_LOAD_FUNC] = g_param_spec_pointer(
 		"load-func",
 		"load-func",
 		"The python load function",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_UNLOAD_FUNC] = g_param_spec_pointer(
 		"unload-func",
 		"unload-func",
 		"The python unload function",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
diff --git a/tcc/gplugin-tcc-plugin.c b/tcc/gplugin-tcc-plugin.c
--- a/tcc/gplugin-tcc-plugin.c
+++ b/tcc/gplugin-tcc-plugin.c
@@ -183,13 +183,13 @@ gplugin_tcc_plugin_class_init(GPluginTcc
 		"tcc-state",
 		"tcc-state",
 		"The TCC compilation context for the plugin",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_MEM] = g_param_spec_pointer(
 		"memory",
 		"memory",
 		"The memory allocated for the symbol table for the plugin",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY);
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
